Subject: Re: [PATCH 1/2] sdhci-of-esdhc: Support 8BIT bus width.

From: Joakim Tjernlund <[email-masked]>
Date: Mon, 4 May 2015 21:49:54 +0000

On Mon, 2015-05-04 at 21:17 +0000, Joakim Tjernlund wrote:
> On Mon, 2015-05-04 at 19:31 +0200, Arnd Bergmann wrote:
> > On Monday 04 May 2015 18:31:31 Joakim Tjernlund wrote:
> > > @@ -252,6 +260,8 @@ static void esdhc_of_platform_init(struct sdhci_host *host)
> > >  
> > >         if (vvn > VENDOR_V_22)
> > >                 host->quirks &= ~SDHCI_QUIRK_NO_BUSY_IRQ;
> > > +
> > > +       host->mmc->caps |= MMC_CAP_8_BIT_DATA;
> > >  }
> > > 
> > 
> > Shouldn't this check the "bus-width" property before setting the width?
> > 
> > There might be an eMMC or SDIO with 4-bit interface connected.
> 
> This is for an eMMC chip we got and I THINK(this is new to me) that
> this only allows 8 bit negotiation but I might be way off.
>  
> Anyone knows for sure?

hmm, I need to look some more at this. There is bus-with/8BIT all over mmc and I
have probably missed something.

       Jocke